package com.yizhi.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import com.aliyun.oss.ClientException;
import com.yizhi.application.vo.ImageUploadAddressAuthVo;

import cc.mrbird.febs.common.core.response.BizResponse;
import io.swagger.annotations.ApiOperation;

import static com.yizhi.core.application.constant.FebsServerConstant.CLOUD_COMMUNITY_ALIYUN;

@FeignClient(name = CLOUD_COMMUNITY_ALIYUN, contextId = "AliyunImageClient", path = "/api/image")
public interface AliyunImageClient {

	@ApiOperation("获取图片上传地址和凭证")
    @GetMapping("/address/auth/get")
    public BizResponse<ImageUploadAddressAuthVo> getPlayAuth() throws ClientException, com.aliyuncs.exceptions.ClientException;
}
