package com.yizhi.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Tolerate;

@Data
@Builder
@ApiModel("视频基本信息")
@ToString
public class VideoInfoVo {
	@ApiModelProperty("视频分类ID")
	private Long cateId;
	
	@ApiModelProperty("视频分类名称")
	private String cateName;
	
	@ApiModelProperty("视频封面URL")
	private String coverURL;
	
	@ApiModelProperty("视频描述")
	private String description;
	
	@ApiModelProperty("视频时长。单位：秒")
	private Double duration;
	
	@ApiModelProperty("存储所在地域")
	private String regionId;
	
	@ApiModelProperty("视频源文件大小。单位：字节")
	private Long size;
	
	@ApiModelProperty("视频状态。取值：AliyunVideoStatusEnum")
	private String status;
	
	@ApiModelProperty("视频标题")
	private String title;
	
	@ApiModelProperty("视频ID")
	private String videoId;
	
	@Tolerate
	public VideoInfoVo() {
		
	}
}
