package com.yizhi.application;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.profile.DefaultProfile;
import com.yizhi.application.util.PropertiesUtil;

@Configuration
public class VodConfig {

	@Bean
    public DefaultAcsClient initVodClient(PropertiesUtil propertiesUtil) {
    	String regionId = propertiesUtil.getPublicParam().get("regionId");  // 点播服务接入区域
    	String accessKeyId = propertiesUtil.getPublicParam().get("accessKeyId");
    	String accessKeySecret = propertiesUtil.getPublicParam().get("accessKeySecret");
        DefaultProfile profile = DefaultProfile.getProfile(regionId, accessKeyId, accessKeySecret);
        DefaultAcsClient client = new DefaultAcsClient(profile);
        return client;
    }
}
