package com.yizhi.application.controller.api;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.yizhi.application.mq.BizMessageDealJob;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;

@RestController
@RequestMapping(value = "/api/biz")
@Api(tags = "API-阿里云-处理community业务 接口")
@Slf4j
public class ApiBizMessageController {

	@Autowired
	private BizMessageDealJob dealJob;
	
	@ApiOperation("处理biz message")
    @PostMapping("/handle/message/update")
    public void processBizMessage(@RequestParam(value = "batchSize", required = false)Integer batchSize) {
		log.info("==================Start processBizMessage with param {} =================", batchSize);
		dealJob.processBizMessage(batchSize);
		log.info("==================End processBizMessage with param =================");
    }
}
