package com.yizhi.application.controller.api;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.aliyun.oss.ClientException;
import com.yizhi.application.service.VideoInfoService;
import com.yizhi.application.vo.ImageUploadAddressAuthVo;

import cc.mrbird.febs.common.core.response.BizResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value = "/api/image")
@Api(tags = "API-阿里云-图片 接口")
public class ApiImageController {

    @Autowired
    private VideoInfoService videoInfoService;

    
    @ApiOperation("获取图片上传地址和凭证")
    @GetMapping("/address/auth/get")
    public BizResponse<ImageUploadAddressAuthVo> getPlayAuth() throws ClientException, com.aliyuncs.exceptions.ClientException{
    	return BizResponse.ok(videoInfoService.getImageUploadAddressAuth());
    }
}
