package com.yizhi.application.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author taoge
 * @since 2020-12-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("aliyun_biz_message")
@ApiModel(value = "AliyunBizMessage对象", description = "")
public class BizMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    @ApiModelProperty(value = "业务类型 直播：20 、视频：21")
    @TableField("biz_type")
    private Integer bizType;

    @ApiModelProperty(value = "业务id")
    @TableField("biz_id")
    private Long bizId;
    
    @ApiModelProperty(value = "阿里云业务id")
    @TableField("aliyun_id")
    private String aliyunId;

    @ApiModelProperty(value = "默认未处理")
    @TableField("is_deal")
    private Boolean isDeal;

    @ApiModelProperty(value = "事件类型 1：视频获取回调url  2:直播获取录制视频回调url")
    @TableField("event_type")
    private Integer eventType;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    @TableField(value = "update_by_id", fill = FieldFill.UPDATE)
    private Long updateById;

    @ApiModelProperty(value = "更新人姓名")
    @TableField(value = "update_by_name", fill = FieldFill.UPDATE)
    private String updateByName;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;


}
