package com.yizhi.application.service;

import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.exceptions.ServerException;
import com.yizhi.application.vo.ImageUploadAddressAuthVo;
import com.yizhi.application.vo.VideoInfoVo;
import com.yizhi.application.vo.VideoPlayInfoVo;
import com.yizhi.application.vo.VideoUploadAddressAuthVo;

public interface VideoInfoService {

	/**
     * 获取视频播放地址
     * @param videoId
     * @return
     * @throws ClientException 
     * @throws ServerException 
     */
    public VideoPlayInfoVo getPlayUrl(String videoId) throws ServerException, ClientException;
    
    /**
     * 获取视频播放凭证
     * @param videoId
     * @return
     * @throws ClientException 
     * @throws ServerException 
     */
    public String getPlayAuth(String videoId) throws ServerException, ClientException;
    
    /**
     * 获取视频上传地址和凭证
     * @param title 
     * @param fileName
     * @return
     * @throws ClientException 
     * @throws ServerException 
     */
    public VideoUploadAddressAuthVo getVideoUploadAddressAuth(String title, String fileName) throws ServerException, ClientException;
    
    /**
     * 刷新视频上传凭证
     * @param videoId
     * @return
     * @throws ClientException 
     * @throws ServerException 
     */
    public VideoUploadAddressAuthVo refreshVideoUploadAddressAuth(String videoId) throws ServerException, ClientException;
    
    /**
     * 获取图片上传地址和凭证
     * @return
     * @throws ClientException 
     * @throws ServerException 
     */
    public ImageUploadAddressAuthVo getImageUploadAddressAuth() throws ServerException, ClientException;
    
    /**
     * 获取视频信息
     * @param videoId
     * @return
     * @throws ClientException 
     * @throws ServerException 
     */
    public VideoInfoVo getVideoInfo(String videoId) throws ServerException, ClientException;
}
