package com.yizhi.application.util;

import com.yizhi.live.application.enums.LiveDomainEnum;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.LinkedHashMap;
import java.util.Map;
import java.util.ResourceBundle;

@Component
public class PropertiesUtil {

    @Value("${ACTIVE}")
    public String active;

    public static String LIVE_APP_NAME_VALUE = null;
    public static String LIVE_DOMAIN = null;

    public Map<String, String> getPublicParam() {
        Map<String, String> map = new LinkedHashMap<String, String>();

        String accessKeyId = "";
        String accessKeySecret = "";
        String endpoint = "";
        String bucket = "";
        String ossdir = "";
        String transcodeBucket = "";
        String REGION;
        String workFlowId;
        String regionId;

        try {
            String configName = "aliyunAccessKey" + "-" + active;
            ResourceBundle rb = ResourceBundle.getBundle(configName);
            accessKeyId = rb.getString("accessKeyId");
            accessKeySecret = rb.getString("accessKeySecret");
            endpoint = rb.getString("endpoint");
            bucket = rb.getString("bucket");
            ossdir = rb.getString("ossdir");
            transcodeBucket = rb.getString("transcodeBucket");
            REGION = rb.getString("REGION");
            workFlowId = rb.getString("workFlowId");
            regionId = rb.getString("regionId");
            LIVE_APP_NAME_VALUE = rb.getString("appName");

            map.put("accessKeyId", accessKeyId);
            map.put("accessKeySecret", accessKeySecret);
            map.put("endpoint", endpoint);
            map.put("bucket", bucket);
            map.put("ossdir", ossdir);
            map.put("transcodeBucket", transcodeBucket);
            map.put("REGION", REGION);
            map.put("workFlowId", workFlowId);
            map.put("regionId", regionId);
            if ("prod".equals(active)) {
                LIVE_DOMAIN = LiveDomainEnum.FIRST_AUDIENCE_PROD.getDomain();
            } else {
                LIVE_DOMAIN = LiveDomainEnum.FIRST_AUDIENCE_DEV.getDomain();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return map;
    }
}
